# Class BasicComboBoxUI.KeyHandler

java.lang.Object
java.awt.event.KeyAdapter
javax.swing.plaf.basic.BasicComboBoxUI.KeyHandler

All Implemented Interfaces:
  `KeyListener, EventListener`

Enclosing class:
  `BasicComboBoxUI`

public class BasicComboBoxUI.KeyHandler extends KeyAdapter
This listener checks to see if the key event isn't a navigation key. If it finds a key event that wasn't a navigation key it dispatches it to JComboBox.selectWithKeyChar() so that it can do type-ahead. This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyHandler()`
  Constructs a `KeyHandler`.

- ## Method Summary

  ### Methods declared in class KeyAdapter

  `keyPressed, keyReleased, keyTyped`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeyHandler

    public KeyHandler()
    Constructs a `KeyHandler`.